- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# net_vlan – Manage VLANs on network devices

New in version 2.4.

- DEPRECATED
- Synopsis
- Parameters
- Notes
- Examples
- Return Values
- Status

## DEPRECATED

Removed in Ansible:
| version: 2.13
Why: | Updated modules released with more functionality
Alternative: | Use platform-specific “[netos]_vlans” module

## Synopsis

- This module provides declarative management of VLANs on network devices.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
aggregate - |  | List of VLANs definitions.
interfaces - |  | List of interfaces the VLAN should be configured on.
name - |  | Name of the VLAN.
purge - | Default: "no" | Purge VLANs not defined in the aggregate parameter.
state - | Choices: present ← absent active suspend | State of the VLAN configuration.
vlan_id - |  | ID of the VLAN.

## Notes

Note

- This module is supported on `ansible_network_os` network platforms. See the Network Platform Options for details.

## Examples

    - name: configure VLAN ID and name
      net_vlan:
        vlan_id: 20
        name: test-vlan

    - name: remove configuration
      net_vlan:
        state: absent

    - name: configure VLAN state
      net_vlan:
        vlan_id:
        state: suspend

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
commands list | always, except for the platforms that use Netconf transport to manage the device. | The list of configuration mode commands to send to the device Sample: ['vlan 20', 'name test-vlan']

## Status

- This module will be removed in version 2.13. [deprecated]
- For more information see DEPRECATED.

### Authors

- Ricardo Carrillo Cruz (@rcarrillocruz)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.